/*
 * config.h
 *
 *  Created on: 16/mar/2014
 *      Author: fb
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include "system.h"


/* define macros to access parallel DE2 Basic Computer port registers */
#define EDGE_CAPTURE_REG_FFSET		3

#define RED_LEDS_DATA_REG 			(*(volatile unsigned int*) RED_LEDS_BASE)
#define GREEN_LEDS_DATA_REG 		(*(volatile unsigned int*) GREEN_LEDS_BASE)
#define HEX3_HEX0_DATA_REG 			(*(volatile unsigned int*) HEX3_HEX0_BASE)
#define HEX7_HEX4_DATA_REG 			(*(volatile unsigned int*) HEX7_HEX4_BASE)
#define PUHBUTTONS_DATA_REG 		(*(volatile unsigned int*) PUSHBUTTONS_BASE)
#define PUHBUTTONS_EDGE_CAPTURE_REG	(*(volatile unsigned int*) (PUSHBUTTONS_BASE + 4*EDGE_CAPTURE_REG_FFSET))
#define SLIDER_SWITCHES_DATA_REG	(*(volatile unsigned int*) SLIDER_SWITCHES_BASE)
/* ------------------------------------------------------------------- */

#define SLIDER_SWITCH_RUN		0
#define LEDR_RUN				0
#define LEDR_PLAYER1_FAST		10
#define LEDR_PLAYER2_FAST		6
#define KEY_PLAYER1				3
#define KEY_PLAYER2				1

#define HEX_DISPLAY_RES			HEX3_HEX0_DATA_REG

#define MASK_COUNTER			7
#define MSK_GREEN_LEDS_NO_CLICK	0xFF

#define WAIT_MIN				1000
#define WAIT_RAND				250
#define WAIT_LEDR_ON			1000

#define MAX_COUNTER_CLICK		100000

#endif /* CONFIG_H_ */
